[arch-commits] Commit in klibc/trunk (PKGBUILD)

Tobias Powalowski tpowa at archlinux.org
Sun May 10 04:09:25 EDT 2009


    Date: Sunday, May 10, 2009 @ 04:09:25
  Author: tpowa
Revision: 38732

upgpkg: klibc 1.5.15-2

Modified:
  klibc/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-05-10 08:09:21 UTC (rev 38731)
+++ PKGBUILD	2009-05-10 08:09:25 UTC (rev 38732)
@@ -11,8 +11,8 @@
 pkgname=klibc
 pkgver=1.5.15
 _klibcbranch=Testing #Stable/Testing
-_kver=2.6.28-ARCH
-pkgrel=1
+_kver=2.6.29-ARCH
+pkgrel=2
 pkgdesc="A minimal libc made for early-userspace"
 arch=(i686 x86_64)
 url="http://www.kernel.org/pub/linux/libs/klibc/"
@@ -32,7 +32,7 @@
                   
 build()
 {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   #INI_DEBUG causes ipconfig to fail within kinit
   sed -i "/#define INI_DEBUG/d" usr/kinit/kinit.h || return 1
   ln -sf /usr/src/linux-${_kver} linux
@@ -47,10 +47,10 @@
   patch -p1 -i ../klibc-fix-2.6.28-includes.patch || return 1
   
   make EXTRA_KLIBCFLAGS='' || return 1
-  make INSTALLROOT=$startdir/pkg install || return 1
+  make INSTALLROOT=$pkgdir mandir=/usr/share/man install || return 1
   #ln -sf asm-x86 $startdir/pkg/usr/lib/klibc/include/asm
-  cp -a linux/arch/x86/include/asm/* $startdir/pkg/usr/lib/klibc/include/asm/
+  cp -a linux/arch/x86/include/asm/* $pkgdir/usr/lib/klibc/include/asm/
   
-  provides[${#provides[@]}]="$(basename $startdir/pkg/lib/klibc-*.so .so)"
+  provides[${#provides[@]}]="$(basename $pkgdir/lib/klibc-*.so .so)"
   export provides
 }



More information about the arch-commits mailing list